/*
 * adc.h
 *
 *  Created on: 28/05/2013
 *      Author: Miguel Angel Sanchez Munoz
 */

#include "LPC17xx.h"
#include "type.h"

#ifndef __ADC_H
#define __ADC_H

#define ADC_INTERRUPT_FLAG	0
#define BURST_MODE			1
#define ADC_DEBUG			1

#define ADC_OFFSET          0x10
#define ADC_INDEX           4

#define ADC_DONE            0x80000000
#define ADC_OVERRUN         0x40000000
#define ADC_ADINT           0x00010000

#define ADC_NUM				8
#define ADC_CLK				1000000

/*-----------------------------------------------------------*/

/*****************************************************************************
** Function name:		ADC_Init
**
** Descriptions:		Init ADC
**
** parameters:			Clock
**
** Returned value:		None
**
*****************************************************************************/
void ADC_Init( uint32_t ADC_Clk );

/*****************************************************************************
** Function name:		ADC_Read
**
** Descriptions:		Read ADC value
**
** parameters:			Channel number
**
** Returned value:		Data read
**
*****************************************************************************/
uint32_t ADC_Read( uint8_t channelNum );

#endif /* end __ADC_H */

