/*
 * debug.h
 *
 *  Created on: Jun 5, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#ifndef DEBUG_H_
#define DEBUG_H_

#include "LPC17xx.h"
#include "FreeRTOS.h"
#include "semphr.h"
#include "uart.h"
#include "delay.h"
#include "printf.h"
#include "type.h"

/*-----------------------------------------------------------*/

/*****************************************************************************
** Function name:		debug_INIT
**
** Descriptions:		Initialize UART for debug
**
** parameters:			UART port,  baudrate
** Returned value:		none
**
*****************************************************************************/
void debug_INIT(uint8_t UARTportNum, uint32_t baudrate);

/*****************************************************************************
** Function name:		debug
**
** Descriptions:		Send data to debug port
**
** parameters:			*BufferPtr
** Returned value:		none
**
*****************************************************************************/
void debug(uint8_t *BufferPtr);

#endif /* DEBUG_H_ */
