/*
 * delay.h
 *
 *  Created on: Mar 31, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#include "LPC17xx.h"
#include "FreeRTOS.h"
#include "task.h"
#include "type.h"

#ifndef DELAY_H_
#define DELAY_H_

/*-----------------------------------------------------------*/

/*****************************************************************************
** Function name:		delayMs
**
** Descriptions:		Active delay
**
** parameters:			Number of milliseconds
** Returned value:		none
**
*****************************************************************************/
void delayMs( uint32_t ms );


/*****************************************************************************
** Function name:		delayUs
**
** Descriptions:		Active delay
**
** parameters:			Number of microseconds
** Returned value:		none
**
*****************************************************************************/
void delayUs( uint32_t ms );


/*****************************************************************************
** Function name:		delayMsPassive
**
** Descriptions:		Passive delay, vTaskDelay
**
** parameters:			Number of milliseconds
** Returned value:		none
**
*****************************************************************************/
void delayMsPassive( uint32_t ms );

#endif /* DELAY_H_ */
