/*
 * led.h
 *
 *  Created on: Mar 12, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#include "LPC17xx.h"
#include "type.h"
#include "gpio.h"

#ifndef LED_H_
#define LED_H_

/*****************************************************************************
** Function name:		led_init
**
** Descriptions:		Init led
**
** parameters:			Pin
**
** Returned value:		None
**
*****************************************************************************/
void led_init(uint8_t pin);

/*****************************************************************************
** Function name:		led_on
**
** Descriptions:		Set led on
**
** parameters:			None
**
** Returned value:		None
**
*****************************************************************************/
void led_on();

/*****************************************************************************
** Function name:		led_off
**
** Descriptions:		Set led off
**
** parameters:			None
**
** Returned value:		None
**
*****************************************************************************/
void led_off();

/*****************************************************************************
** Function name:		led_toggle
**
** Descriptions:		Set led toggle
**
** parameters:			None
**
** Returned value:		None
**
*****************************************************************************/
void led_toggle();

#endif /* LED_H_ */
