/*
 * printf.h
 *
 *  Created on: Mar 24, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#include "LPC17xx.h"
#include "uart.h"
#include "delay.h"

#include <string.h>
#include <stdio.h>

#ifndef PRINTF_H_
#define PRINTF_H_

/*-----------------------------------------------------------*/

/*****************************************************************************
** Function name:		Print
**
** Descriptions:		Print a text on UART
**
** parameters:			UART port, Pointer to the text to be printed
** Returned value:		None
**
*****************************************************************************/
void Print( uint8_t portNum, uint8_t *BufferPtr);

/*****************************************************************************
** Function name:		Print_Value
**
** Descriptions:		Print a text and value passed as parameter on UART
**
** parameters:			UART port, Pointer to the text, value parameter
** Returned value:		None
**
*****************************************************************************/
void Print_Value( uint8_t portNum, uint8_t *BufferPtr, uint8_t *value);

/*****************************************************************************
** Function name:		Print_CRLF
**
** Descriptions:		Print a text on UART with type of end line
**
** parameters:			UART port, Pointer to the text to be printed
** Returned value:		None
**
*****************************************************************************/
void Print_CRLF( uint8_t portNum, uint8_t *BufferPtr);

/*****************************************************************************
** Function name:		Print_Value_CRLF
**
** Descriptions:		Print a text and value passed as parameter on UART
** 						 with type of end line
**
** parameters:			UART port, Pointer to the text, value parameter
** Returned value:		None
**
*****************************************************************************/
void Print_Value_CRLF( uint8_t portNum, uint8_t *BufferPtr, uint8_t *value);


#endif /* PRINTF_H_ */
