/*
 * debug.c
 *
 *  Created on: Jun 5, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#include "debug.h"

xSemaphoreHandle xMutexDebug;

uint8_t DEBUG_portNum;

/*-----------------------------------------------------------*/

void debug_INIT(uint8_t UARTportNum, uint32_t baudrate)
{
	DEBUG_portNum = UARTportNum;

	xMutexDebug = xSemaphoreCreateRecursiveMutex();

	if (xMutexDebug != NULL)
	{
		UARTInit(DEBUG_portNum, baudrate);

		delayMs(2000);
	}

	return;
}

void debug(uint8_t *BufferPtr)
{
	char Buffer[BUFSIZE];

	xSemaphoreTake(xMutexDebug, portMAX_DELAY);
	{
	sprintf(Buffer, "DEBUG: %s", BufferPtr);
	Print_CRLF(DEBUG_portNum, (uint8_t *)Buffer);
	}
	xSemaphoreGive(xMutexDebug);

	return;
}

/*-----------------------------------------------------------*/
