/*
 * printf.c
 *
 *  Created on: Mar 24, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#include "printf.h"

/*-----------------------------------------------------------*/

void Print( uint8_t portNum, uint8_t *BufferPtr)
{

	UART_flushBuffer(portNum);
	UART_Send(portNum, BufferPtr, strlen((char *)BufferPtr));

	delayMs(250);

	return;
}

/*-----------------------------------------------------------*/

void Print_Value( uint8_t portNum, uint8_t *BufferPtr, uint8_t *value)
{
	char Buffer[BUFSIZE];

	sprintf(Buffer, "%s %s", BufferPtr, value);
	Print(portNum, (uint8_t *)Buffer);

	return;
}

/*-----------------------------------------------------------*/

void Print_CRLF( uint8_t portNum, uint8_t *BufferPtr)
{

	UART_flushBuffer(portNum);
	UART_Send(portNum, BufferPtr, strlen((char *)BufferPtr));
	UART_Send(portNum, (uint8_t *)"\r\n", strlen((char *)"\r\n"));

	delayMs(250);

	return;
}

/*-----------------------------------------------------------*/

void Print_Value_CRLF( uint8_t portNum, uint8_t *BufferPtr, uint8_t *value)
{
	char Buffer[BUFSIZE];

	sprintf(Buffer, "%s %s", BufferPtr, value);
	Print_CRLF(portNum, (uint8_t *)Buffer);

	return;
}

/******************************************************************************
**                            End Of File
******************************************************************************/
